FreeMat

- Main Page
- Related Pages

PAUSE Pause Script Execution

Section: Input/Ouput Functions

# Usage

The `pause` function can be used to pause execution of FreeMat scripts. There are several syntaxes for its use. The first form is

       pause

This form of the `pause` function pauses FreeMat until you press any key. The second form of the `pause` function takes an argument

       pause(p)

where `p` is the number of seconds to pause FreeMat for. The pause argument should be accurate to a millisecond on all supported platforms. Alternately, you can control all `pause` statements using:

       pause on

which enables pauses and

       pause off

which disables all `pause` statements, both with and without arguments.